Get StatementJob
Retrieves the details of a specific StatementJob using its UUID.
Use this call to obtain the time-bound pre-signed download URL for the generated Bill Statement if the initial Create StatementJob returned a response showing the statementJobStatus not yet complete and as PENDING or RUNNING.
Note: When you have submitted a StatementJob and a Bill Statement has been generated, you can also download the Statement directly from a Bill Details page in the Console. See Working with Bill Statements in our user Documentation.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
Response
Returns the StatementJob
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
The current status of the StatementJob. The status helps track the progress and outcome of a StatementJob.
PENDING, RUNNING, COMPLETE, CANCELLED, FAILED The unique identifier (UUID) of the bill associated with the StatementJob.
The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
A Boolean value indicating whether the generated statement includes a CSV format.
- TRUE - includes the statement in CSV format.
- FALSE - no CSV format statement.
The URL to access the generated statement in JSON format. This URL is temporary and has a limited lifetime.
LATEST, STALE, INVALIDATED LATEST, STALE, INVALIDATED The date and time (in ISO-8601 format) when the StatementJob was created.
The date and time (in ISO-8601 format) when the StatementJob was last modified.
The unique identifier (UUID) of the user who created this StatementJob.
The unique identifier (UUID) of the user who last modified this StatementJob.